JS-JS v0.01 Perl 5 v5.12.0 RC0 i686-linux

Status
Pass
From
Serguei Trouchelle (STRO)
Dist
JS-JS v0.01
Platform
Perl 5 v5.12.0 RC0 i686-linux
Date
2010-04-22T17:11:00
ID
060af30e-4e32-11df-82b7-281fcb64c448
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Juan-Manuel Torres-Moreno,

This is a computer-generated report for JS-JS-0.01
on perl 5.12.0, created by CPAN-Reporter-1.1711.

Thank you for uploading your work to CPAN.  Congratulations!
All tests were successful.

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/usr/gnu/bin/make test':

PERL_DL_NONLAZY=1 /export/home/stro/perl5120rc0th/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
# Testing JS::JS 0.01, Perl 5.012000, /export/home/stro/perl5120rc0th/bin/perl
t/00-load.t ....... ok
t/manifest.t ...... skipped: Author tests not required for installation
t/pod-coverage.t .. skipped: Test::Pod::Coverage 1.08 required for testing POD coverage
t/pod.t ........... ok
All tests successful.
Files=4, Tests=2,  3 wallclock secs ( 0.08 usr  0.11 sys +  0.21 cusr  0.29 csys =  0.69 CPU)
Result: PASS

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module              Need Have
    ------------------- ---- ----
    Test::More          0    0.94

configure_requires:

    Module              Need Have
    ------------------- ---- ----
    ExtUtils::MakeMaker 0    6.56


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    LC_MESSAGES = en_US.UTF-8
    PATH = /usr/gnu/bin:/usr/bin:/usr/X11/bin:/usr/sbin:/sbin
    PERL5LIB = 
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 6037
    PERL5_CPAN_IS_RUNNING = 6037
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 15125,6037
    PERL_CR_SMOKER_CURRENT = JS-JS-0.01
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/bash
    TERM = xterm

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /export/home/stro/perl5120rc0th/bin/perl
    $UID/$EUID = 101 / 101
    $GID = 10 10 0
    $EGID = 10 10 0

Perl module toolchain versions installed:

    Module              Have   
    ------------------- -------
    CPAN                1.94_56
    Cwd                 3.31   
    ExtUtils::CBuilder  0.27   
    ExtUtils::Command   1.16   
    ExtUtils::Install   1.55   
    ExtUtils::MakeMaker 6.56   
    ExtUtils::Manifest  1.57   
    ExtUtils::ParseXS   2.21   
    File::Spec          3.31   
    Module::Build       0.3603 
    Module::Signature   n/a    
    Test::Harness       3.17   
    Test::More          0.94   
    YAML                0.71   
    YAML::Syck          n/a    
    version             0.82   


--

Summary of my perl5 (revision 5 version 12 subversion 0) configuration:
   
  Platform:
    osname=solaris, osvers=2.11, archname=i86pc-solaris-thread-multi
    uname='sunos opensolaris 5.11 snv_111b i86pc i386 i86pc solaris '
    config_args=''
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=undef, use64bitall=undef, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-D_REENTRANT -fno-strict-aliasing -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DPERL_USE_SAFE_PUTENV',
    optimize='-O',
    cppflags='-D_REENTRANT -fno-strict-aliasing -pipe'
    ccversion='', gccversion='3.4.3 (csl-sol210-3_4-20050802)', gccosandvers='solaris2.11'
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=4, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -L/usr/gnu/lib '
    libpth=/usr/gnu/lib /usr/lib /usr/ccs/lib
    libs=-lsocket -lnsl -ldl -lm -lpthread -lc
    perllibs=-lsocket -lnsl -ldl -lm -lpthread -lc
    libc=/lib/libc.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' '
    cccdlflags='-fPIC', lddlflags='-G -L/usr/gnu/lib'


Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP
                        PERL_USE_SAFE_PUTENV USE_ITHREADS USE_LARGE_FILES
                        USE_PERLIO USE_PERL_ATOF USE_REENTRANT_API
  Locally applied patches:
	RC0
  Built under solaris
  Compiled at Mar 23 2010 17:07:40
  %ENV:
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="6037"
    PERL5_CPAN_IS_RUNNING="6037"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="15125,6037"
    PERL_CR_SMOKER_CURRENT="JS-JS-0.01"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /export/home/stro/perl5120rc0th/lib/site_perl/5.12.0/i86pc-solaris-thread-multi
    /export/home/stro/perl5120rc0th/lib/site_perl/5.12.0
    /export/home/stro/perl5120rc0th/lib/5.12.0/i86pc-solaris-thread-multi
    /export/home/stro/perl5120rc0th/lib/5.12.0
    .